krb5-auth-dialog (3.26.1-1) unstable; urgency=medium

  * New upstream version 3.26.1
  * Drop credentials_expiring_real-check-if-kcontext-is-valid.patch. Fixed
    upstream.
  * Bump standards version to 4.1.1
  * Use https URI in watch file

 -- Guido Günther <agx@sigxcpu.org>  Sat, 11 Nov 2017 14:56:49 +0100

krb5-auth-dialog (3.20.0-3) unstable; urgency=medium

  * [5a7fe1c] Don't depend on unused libnm-glib-dev (Closes: #823568)
  * [1455a30] credentials_expiring_real: check if kcontext is valid
    (LP: #1700468)
  * [2593f51] Bump standards version to 4.0.0
  * [cc2b1c0] Bump standards version to 3.9.8
  * [083647b] Switch to debhelper 10
  * [f92d782] Use https vcs urls.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 07 Jul 2017 10:11:16 +0200

krb5-auth-dialog (3.20.0-2) unstable; urgency=medium

  * [2820b4e] Use DEP-14 layout
  * [dd89f4d] Rebuild against libkrb5-dev instead of heimdal
    since heimdal is being removed from Debian (Closes: #806274)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 16 Sep 2016 15:35:52 +0200

krb5-auth-dialog (3.20.0-1) unstable; urgency=medium

  * [c344fdf] New upstream version 3.20.0 (Closes: #829779)
  * [a938919] Build-Depend on itstool
  * [e3faf1b] wrap-and-sort -ast

 -- Guido Günther <agx@sigxcpu.org>  Thu, 21 Jul 2016 13:33:53 +0200

krb5-auth-dialog (3.15.4-1) experimental; urgency=medium

  * [637bbe4] Fix Vcs-Browser URL. (Closes: #766629)
  * [49b3ffc] Add gbp.conf for experimental
  * [44089d0] New upstream version 3.15.4

 -- Guido Günther <agx@sigxcpu.org>  Fri, 16 Jan 2015 12:09:30 +0100

krb5-auth-dialog (3.15.1-1) experimental; urgency=medium

  * [31185d4] New upstream version 3.15.1
  * [3e6b601] Bump required GTK+ version
  * [f4c9b55] Don't suggest gnome-control-center. We don't ship a plugin for
    it anymore
  * [d40b67a] Drop all patches, all applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Oct 2014 21:13:48 +0100

krb5-auth-dialog (3.12.0-2) unstable; urgency=medium

  * [a9cf1c1] Use current user name to determine principal (Closes: #762906)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 20 Oct 2014 13:58:16 +0200

krb5-auth-dialog (3.12.0-1) unstable; urgency=medium

  * [580cd32] New upstream version 3.12.0
  * [750c510] Remove patches appplied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Jun 2014 07:31:45 +0200

krb5-auth-dialog (3.8.0-3) unstable; urgency=low

  * [21a1bd6] Fix krb5_principal_compare crashes on NULL arguments.
    Thanks to Petter Reinholdtsen (Closes: #714825)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Jul 2013 17:40:45 +0200

krb5-auth-dialog (3.8.0-2) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 May 2013 17:10:20 +0200

krb5-auth-dialog (3.8.0-1) experimental; urgency=low

  * [4ed0c59] Allow for xz upstream tarballs
  * [6c66f3c] New upstream version 3.8.0
  * [e045c1c] Use GSettings instead of GConf

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Apr 2013 10:21:01 +0200

krb5-auth-dialog (3.2.1-1) unstable; urgency=low

  * [325b5a9] New upstream version 3.2.1
  * [3c823de] Drop all patches - applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Nov 2011 19:46:58 +0100

krb5-auth-dialog (3.2.0-2) unstable; urgency=low

  * [24d4f35] New patch 0001-Add-categories-to-desktop-file.patch
    cherry-picked from upstream git: Add categories to desktop file
  * [61ad408] New patch 0002-Register-org.gnome.KrbAuthDialog-early.patch
    cherry-picked from upstream git: Register org.gnome.KrbAuthDialog early to
    fix DBus activation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Sep 2011 23:41:36 +0200

krb5-auth-dialog (3.2.0-1) unstable; urgency=low

  * [85df09c] New upstream version 3.2.0
  * [bf94419] Drop build-dep on now unused libgnome-control-center-dev
  * [e21e032] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Sep 2011 22:41:10 +0200

krb5-auth-dialog (3.0.1-1) experimental; urgency=low

  * [cb23040] New upstream version 3.0.1
  * [4c2c01e] watch: look for bz2 files

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 May 2011 14:52:12 +0200

krb5-auth-dialog (3.0.0-1) experimental; urgency=low

  * [cc2cada] New upstream version 3.0.0

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Apr 2011 16:25:16 +0200

krb5-auth-dialog (2.91.93-1) experimental; urgency=low

  * [dfccd34] New upstream version 2.91.93

 -- Guido Günther <agx@sigxcpu.org>  Sun, 27 Mar 2011 22:19:12 +0200

krb5-auth-dialog (2.91.91-1) experimental; urgency=low

  * [ca71a0f] New upstream version 2.91.91
  * [4b5ff36] Depend on recent glib since we use GDBus instead of libdbus-glib
    now

 -- Guido Günther <agx@sigxcpu.org>  Wed, 09 Mar 2011 10:56:53 +0100

krb5-auth-dialog (2.91.90-1) experimental; urgency=low

  * [2a51379] New upstream version 2.91.90
  * [0ae9824] Adapt to new GTK+ 3 naming scheme
  * [dc46361] Drop patches, fixed upstream.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Feb 2011 20:01:12 +0100

krb5-auth-dialog (2.91.6-2) experimental; urgency=low

  * [c92676b] Readd
    0001-Always-startup-not-only-with-a-valid-ticket-cache.patch
    since this isn't applied upstream yet.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 Feb 2011 20:32:35 +0100

krb5-auth-dialog (2.91.6-1) experimental; urgency=low

  * [c646d52] New upstream version 2.91.6
    (Closes: #583739, #593543)
  * [296a143] Update for GTK+/GNOME 3.0
  * [726c62c] Drop patches, fixed upstream

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Feb 2011 23:58:08 +0100

krb5-auth-dialog (0.17-1) experimental; urgency=low

  * [2745b08] New upstream version 0.17
  * [b61caca] Drop AFS plugin patches - fixed upstream
  * [c52328c] Build for GTK+ 2.0
  * [0febefd] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Sep 2010 17:54:19 +0200

krb5-auth-dialog (0.16-4) unstable; urgency=low

  * [ec8ae28] Drop 0004-Change-the-Name-from-Network-Authentication-to-
    Kerbe.patch. This breaks too many strings before the release.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Aug 2010 13:39:25 +0200

krb5-auth-dialog (0.16-3) unstable; urgency=low

  * [578488d] New patch:
       0003-Always-startup-not-only-with-a-valid-ticket-cache.patch
     Always startup, not only with a valid ticket cache (Closes: #582497)
  * [f391a2b] New patch:
        0004-Change-the-Name-from-Network-Authentication-to-Kerbe.patch
    Change the Name from "Network Authentication" to "Kerberos Authentication"
    (Closes: #593543)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Aug 2010 14:31:45 +0200

krb5-auth-dialog (0.16-2) unstable; urgency=low

  * [5626953] Switch to 3.0 (quilt) source format
  * [7154aeb] Add simple AFS plugin
  * [f3efa5f] Bump standards version to 3.9.0

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Jul 2010 20:41:47 +0200

krb5-auth-dialog (0.16-1) unstable; urgency=low

  * [6f45d53] Imported Upstream version 0.16

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Jun 2010 19:03:57 +0200

krb5-auth-dialog (0.16~rc2-1) experimental; urgency=low

  * [daedd98] Imported Upstream version 0.16~rc2
       * plugs leaks (Closes: #538225)
       * updates glib check (Closes: #569319)
  * [60e919c] debian/watch: Don't only match even release numbers

 -- Guido Günther <agx@sigxcpu.org>  Sat, 19 Jun 2010 15:29:09 +0200

krb5-auth-dialog (0.16~rc1-1) experimental; urgency=low

  * [29320e2] Imported Upstream version 0.16~rc1
  * [d6b65b8] Enable PAM plugin
  * [c5a9652] Don't run dh_makeshlibs on plugins and remove .la and .a files.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 04 May 2010 08:56:09 +0200

krb5-auth-dialog (0.15-1) unstable; urgency=low

  * [eafd110] Imported Upstream version 0.15
  * [469d5f9] install examples
  * [f7b2bf0] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Apr 2010 17:49:03 +0200

krb5-auth-dialog (0.14-2) unstable; urgency=low

  * [a3c3412] Rebuild against so name bumped libheimdal-dev. (Closes: #561340)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Dec 2009 10:57:24 +0100

krb5-auth-dialog (0.14-1) unstable; urgency=low

  * [45e3112] Imported Upstream version 0.14
  * [3cde613] drop patches picked from upstream

 -- Guido Günther <agx@sigxcpu.org>  Sun, 01 Nov 2009 19:57:08 +0100

krb5-auth-dialog (0.13-2) unstable; urgency=low

  * [3fc941f] Reenable patchsys
  * [4465319] Pull several minor ticket dialog enhancements from upstream

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Sep 2009 14:38:27 +0200

krb5-auth-dialog (0.13-1) unstable; urgency=low

  * [b6cfb6e] Imported Upstream version 0.13
  * [045601b] Drop 0001-remove-unused-GtkImage-with-duplicate-id.patch - fixed
    upstream.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Sep 2009 09:36:13 +0200

krb5-auth-dialog (0.12-2) unstable; urgency=low

  * [56734b5] new patch 0001-remove-unused-GtkImage-with-duplicate-id.patch:
    remove unused GtkImage with duplicate id (BZ: #593389)
  * [4028d00] use quilt patchsys
  * [e65e98a] bump standards version
  * [9ded61a] add README.source

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Aug 2009 19:33:35 +0200

krb5-auth-dialog (0.12-1) unstable; urgency=low

  * [7dfce86] Imported Upstream version 0.12

 -- Guido Günther <agx@sigxcpu.org>  Mon, 13 Jul 2009 18:47:47 +0200

krb5-auth-dialog (0.11-1) unstable; urgency=low

  * [27053b1] Imported Upstream version 0.11
  * [0fd8db6] update build-deps

 -- Guido Günther <agx@sigxcpu.org>  Mon, 15 Jun 2009 18:43:06 +0200

krb5-auth-dialog (0.10-1) unstable; urgency=low

  * [d911517] Imported Upstream version 0.10

 -- Guido Günther <agx@sigxcpu.org>  Mon, 25 May 2009 18:39:52 +0200

krb5-auth-dialog (0.9.1-1) unstable; urgency=low

  * [c2030a6] Imported Upstream version 0.9.1
  * [b6688e4] don't run autogen.sh, this one is based on a released
              version

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 May 2009 17:00:46 +0200

krb5-auth-dialog (0.9+0gitec60300-1) unstable; urgency=low

  * [9d5cdf2] Imported Upstream version 0.9+0gitec60300
      * don't show notifications before being embedded in the panel
      * fix principal changes in prefs dialog need restart
  * [32955a0] drop 0001-set-a-more-gnomeisch-invisible-char.patch fixed
              upstream
  * [b8c3795] no need for a patch system at the moment

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Apr 2009 11:47:29 +0200

krb5-auth-dialog (0.9~rc1-1) unstable; urgency=low

  * [d6eee4e] Imported Upstream version 0.9~rc1
      * pkinit anchors configurable
      * preference dialog cleanups
      * fixes empty principal if gconf value is empty
  * [e442822] bump standards version
  * [1f1694f] debian/control: it has kind of a homepage now

 -- Guido Günther <agx@sigxcpu.org>  Sat, 18 Apr 2009 01:13:07 +0200

krb5-auth-dialog (0.8+svn141-1) unstable; urgency=low

  * [61675c0] Imported Upstream version 0.8+svn141
  * [fea8c76] drop patches merges upstream:
       - 0002-add-dbus-service-file.patch
       - 0003-add-preferences-dialog.patch
  * [d58c012] rediff 0001-set-a-more-gnomeisch-invisible-char.patch
  * [b720589] temporarily depend on libssl-dev to work around #522663

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 Apr 2009 15:04:42 +0200

krb5-auth-dialog (0.8+svn136-2) unstable; urgency=low

  * [cf0e693] allow to set ticket flags via preferences dialog (Closes:
    #521251)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Apr 2009 16:54:35 +0200

krb5-auth-dialog (0.8+svn136-1) unstable; urgency=low

  * [89329f6] Imported Upstream snapshot 0.8+svn136
  * Patches:
      - [6e6af1c] 0001-set-a-more-gnomeisch-invisible-char: rediff
      - [f162ecd] 0002-add-dbus-service-file: add dbus service file to fire up
        krb5-auth-dialog when an application requests a ticket but
        krb5-auth-dialog isn't running

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Mar 2009 13:41:12 +0100

krb5-auth-dialog (0.8+svn128-1) unstable; urgency=low

  * [d0f7048] Imported Upstream version 0.8+svn128
      * dbus interface
  * [7d35a63] reenable autogen.sh for SVN snapshot
  * [0a0e716] drop patches applied upstream:
      * 0002-don-t-try-pkinit-if-pk_userid-is-non-null-but-empty.patch
      * 0003-move- icons-to-datadir-krb5-auth-dialog.patch

 -- Guido Günther <agx@sigxcpu.org>  Sun, 01 Mar 2009 15:27:18 +0100

krb5-auth-dialog (0.8-3) unstable; urgency=low

  * upload to unstable
  * [8600023] add ${misc:depends}
  * [858f4d8] move icons to $(datadir)/krb5-auth-dialog

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Feb 2009 16:51:12 +0100

krb5-auth-dialog (0.8-2) experimental; urgency=low

  * [30f663e] add Vcs-{Git,Browser} fields
  * [dc19dd3] don't try pkinit if pk_userid is non-null but empty

 -- Guido Günther <agx@sigxcpu.org>  Mon, 19 Jan 2009 22:19:49 +0100

krb5-auth-dialog (0.8-1) experimental; urgency=low

  * [88b8041] Imported Upstream version 0.8
  * [453e157] set more gnomeish invisible char
  * [a81f793] released version doesn't need to run autogen.sh
  * [ce03b8f] build-dep on quilt

 -- Guido Günther <agx@sigxcpu.org>  Sat, 10 Jan 2009 16:28:24 +0100

krb5-auth-dialog (0.7.jit26357da-1) experimental; urgency=low

  * [6a45cdd] Imported Upstream version 0.7.jit26357da
        * Based on upstream version 0.7 plus our changes at:
    		http://honk.sigxcpu.org/git/krb5-auth-dialog.git
  	* support pkinit
        * add extra icon for "ticket is about to expire"
        * add gconf schema
  * [08f4d3e] build against heimdal for pkinit support
  * [dc90dff] update description
  * [168739c] new standards version
  * [37e6092] depend on gconf2
  * [fa542d6] drop quilt dependeny

 -- Guido Günther <agx@sigxcpu.org>  Sat, 18 Oct 2008 18:46:37 +0200

krb5-auth-dialog (0.7.hit7cc1d84-1) unstable; urgency=low

  * New "Upstream" Version
        * Based on upstream version 0.7 plus our changes at:
    		http://honk.sigxcpu.org/git/krb5-auth-dialog.git
        * don't popup the dialog if we have a tray icon
        * set a more gnomeish invisible-char
        * remove width_request from krb5_auth_message_label so the realm name
          doesn't get cut off
  * drop desktop-file.diff & man-section.diff since we have that in our
    "upstream" git now

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 21 Jul 2008 01:16:40 -0230

krb5-auth-dialog (0.7.git30891fc-1) unstable; urgency=low

  * New "Upstream" Version:
        * Based on upstream version 0.7 plus our changes at:
    		http://honk.sigxcpu.org/git/krb5-auth-dialog.git
        * use GtkSecureEntry to fetch password
        * adds trayicon
        * fix localization
        * close dialog when credentials were acquired by other means
        * use libnotify and gconf
        * session handling via dbus
        * use g_timeout_add_seconds to save battery power
        * set a proper icon

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 08 Jun 2008 17:29:06 +0200

krb5-auth-dialog (0.6-1) unstable; urgency=low

  * Initial version based on the ubuntu package by Andrew Mitchell
    (Closes: #461203)
  * Changes:
       * fix manpage section
       * fix desktop file
       * update FSF address
       * use autotools-dev to update config.{sub,guess}
       * use -Wl,--as-needed
       * added watch file

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 17 Jan 2008 10:13:38 +0100
